Skip to navigation

Link a location to a voucher group

Link one of your OCPI locations to the group, for your records; chargers do not apply vouchers.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired>=1

The voucher group’s id.

location_idstringRequired1-36 characters
OCPI location id.

Query parameters

country_codestring or nullOptionalformat: "^[A-Z]{2}$"=2 characters

OCPI party country code, e.g. NL. Pass it with party_id when the location id is used by more than one party.

party_idstring or nullOptionalformat: "^[A-Z0-9]{3}$"=3 characters

OCPI party id, e.g. OCP. Pass it with country_code when the location id is used by more than one party.

Response

The linked location.
idinteger
location_idstring
publishboolean
addressstring
citystring
countrystring
coordinatesobject
time_zonestring
last_updateddatetime
revisioninteger
roleenum or any
originenum or any
country_codestring
party_idstring
ocpi_versionenum or any
organization_idstring
created_atdatetime
updated_atdatetime
publish_allowed_tolist of objects or nullOptional
namestring or nullOptional
postal_codestring or nullOptional
statestring or nullOptional
related_locationslist of objects or nullOptional
parking_typeenum or any or nullOptional
parking_placeslist of objects or nullOptional
directionslist of objects or nullOptional
operatorobject or nullOptional
suboperatorobject or nullOptional
ownerobject or nullOptional
facilitieslist of strings or nullOptional
opening_timesobject or nullOptional
charging_when_closedboolean or nullOptional
imageslist of objects or nullOptional
energy_mixobject or nullOptional
help_phonestring or nullOptional
ocpp_versionstring or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error